Subject: Re: Pain points in Git's patch flow

From: Stephen Smith <[email-masked]>
Date: Mon, 19 Apr 2021 16:03:47 -0700

On Monday, April 19, 2021 2:49:21 PM MST Konstantin Ryabitsev wrote:
> On Mon, Apr 19, 2021 at 07:54:37AM +0200, Sebastian Schuberth wrote:
> > That's a good point, I admit I haven't thought of that. Probably
> > because I also don't care much. So *does* it really matter? What
> > exactly concerns you about a "centralized entity"? Is it the technical
> > aspect of a single point of failure, or the political / social aspect
> > of being dependent on someone you do not want to get influenced by? I
> > guess it's a bit of both.
> 
> It's all of the above, and really should not be discounted. Let's take what
> Russian government is doing lately as an example. In its effort to control
> social dissent, Russian censorship organization RosKomNadzor (RKN) has taken
> steps to deliberately break internet operation -- in a very ham-fisted way.

It can be other things too.   

For instance a corporation that for a variety of reasons has an urgent need to 
restrict internet traffic.   Email will usually get through, but web site traffic 
may not.

While Github is unlikely to get taken offline, other sites that hold data may 
not be so lucky.   Think bankrupcy or other issues.   

Email traffic allows for routing around such issues.